package cokr.xit.fims.mngt.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Component;

import cokr.xit.fims.mngt.Vltn;
import cokr.xit.fims.mngt.VltnQuery;
import cokr.xit.fims.mngt.dao.VltnMapper;
import cokr.xit.foundation.component.AbstractBean;
import cokr.xit.foundation.data.DataObject;

/**위반 정보 정보 관리 Bean
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-10-16	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Component("vltnBean")
public class VltnBean extends AbstractBean {

	/** 위반 정보 정보 DAO */
	@Resource(name = "vltnMapper")
	private VltnMapper vltnMapper;

	/**지정한 조건에 따라 위반 정보 목록을 조회하여 반환한다.
	 * @param req 위반 정보 조회 조건
	 * @return 위반 정보 목록
	 */
	public List<DataObject> getVltnList(VltnQuery req) {
		return vltnMapper.selectVltnList(req);
	}

	/**지정한 조건에 따라 위반 정보 객체들을 반환한다.
	 * @param req 위반 정보 조회 조건
	 * @return 위반 정보 객체 목록
	 */
	public List<DataObject> getVltns(VltnQuery req) {
		return vltnMapper.selectVltns(req);
	}

	/**지정한 조건에 따라 위반 정보 객체를 반환한다.
	 * @param req 위반 정보 조회 조건
	 * @return 위반 정보 객체
	 */
	public DataObject getVltnInfo(VltnQuery req) {
		return vltnMapper.selectVltnInfo(req);
	}

	/**위반 정보 정보를 등록한다.
	 * @param vltnInfo 위반 정보
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean create(Vltn vltn) {
		return vltnMapper.insert(vltn);
	}

	/**위반 정보 정보를 수정한다.
	 * @param vltnInfo 위반 정보
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean update(Vltn vltn) {
		return vltnMapper.update(vltn);
	}

	/**위반 정보 정보를 삭제한다.
	 * @param vltnInfo 위반 정보
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean remove(Vltn vltn) {
		return vltnMapper.delete(vltn);
	}

}
